Subject: Re: bug#20499: C-x 8 shorthands for curved quotes, Euro, etc.

From: Ivan Shmakov <[email-masked]>
Date: Mon, 04 May 2015 18:12:27 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> From: Ivan Shmakov  Date: Mon, 04 May 2015 16:12:28 +0000
>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> From: Ivan Shmakov Date: Mon, 04 May 2015 15:20:56 +0000

[…]

 >>>> I tend to agree with that, but is there currently an easy way to
 >>>> switch between /two/ input methods?

 >>> I simply use "C-u C-\".

 >> Given that I edit texts which may be deemed bilingual (Russian prose
 >> interspersed with source code or command line examples) not just
 >> occasionally, /and/ need C-s, C-r at that, – no, I don’t think it’d
 >> work all that well for me.

 > Don't you have a dual-language keyboard on your system that can
 > switch languages without Emacs being involved?  Input methods are for
 > characters not directly supported by your keyboard; most systems have
 > at least 2, sometimes 3 different languages switchable by a hot key.

 > IOW, I won't expect you to need an input method to type Cyrillic
 > characters.

	With tty frames, it /does/ make sense to use an input method.

	Besides, C-u C-\ tends to be easier to use than the system’s
	facility when I need to use some layout not otherwise typical to
	my work.  (Although I /do/ use setxkbmap(1) when it becomes
	really necessary.)

[…]

 >> «Ты пророк», вскричал я, «вещий! Птица ты иль дух зловещий,
 >> Этим Небом, что над нами — Богом скрытым навсегда —
 >> Заклинаю, умоляя, мне сказать, — в пределах Рая
 >> Мне откроется ль святая, что средь ангелов всегда,
 >> Та, которую Ленорой в небесах зовут всегда?»
 >>     Каркнул Ворон: «Никогда».

 >> Nine such characters per 43 words.

 > Those aren't quotes Paul was talking about.  Those are Cyrillic-style
 > quotes frequently used in Cyrillic languages, and I'd expect them to
 > be directly available from your keyboard.

 > Paul's use case is with the original of this poem.

	There’re no such quotation marks on the Cyrillic keyboard
	layouts I’m aware of.  It really is no different to the English
	case — the only quotation mark you get “for free” is the good
	old ‘"’.  (And given that the Russian alphabet is 33 characters
	– versus 26 for English – with the physical keyboard layout
	being the same 104 keys, it’s actually a tad worse, with even
	the comma typically bound to a shifted – Shift-. – key.)

	These aren’t exactly “Cyrillic”, either, as both German and
	French use exactly the same quotation marks.

	Then, there’re the en and em dash characters, even though they
	may not be (easily) discernible with a fixed-width font.

[…]

 >> My ‘Alt’ is ‘Meta’ most of the time, so it’s rather C-x 8 [,
 >> C-x 8 ], etc. for me, and reserving that for typography isn’t really
 >> a big deal.

 > That's exactly the issue: most keyboards will have Alt taken already,
 > and typing "C-x 8 [" is a PITA, IMO.

	FWIW, I use C-x 8 <, > for years now.

 > By contrast, 'C-\ "' is easy.

	How do I define an input method so that ‘"’ is mapped to either
	“ or ” depending on the context?

 > But if there are people who'd like to go iso-transl way, who am I to
 > object?

	I’m unsure on how much should the current list be expanded, but
	I see no reason /not/ to support, say, C-x 8 1 / 8 for ⅛ when we
	already support C-x 8 1 / 2, 4 for ½, ¼.

-- 
FSF associate member #7257  http://am-1.org/~ivan/      … 3013 B6A0 230E 334A